#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run zbot with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex:
    print(str(ex))
    os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zbot',
    version='29',
    url='https://pikacode.com/milla/zbot',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='zbot find text=okdan From Subject Date',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural"],
    scripts=["bin/zbot", "bin/zbot-sed", ],
    packages=['zbot', 
              'zbot.plugs',
              'zbot.drivers',
             ],
    long_description = """ xmpp, irc, shell, cli, json """,
    data_files=[('doc', ["LICENSE", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Other Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Communications :: Email',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
