# zbot/plugs/start.py
#
#

""" start various bots. """

## IMPORTS

from zbot import kernel, Object
from zbot.utils import error
from zbot.drivers import get_bot

## basic imports

import logging
import _thread
import time

## service/port mapping

ports = {
         "IRC": 6667,
         "XMPP": 5222,
        }

## default config 

cfg = Object()
cfg.server = "localhost"
cfg.nick = "zbot"
cfg.username = "zbot"
cfg.user = "test@localhost"
cfg.channel = "#dunkbots"

## start command

def do_start(event):
    try: type = event.args[1].upper() ; server = event.args[2] ; cfg.server = server
    except IndexError: logging.warn("start <type> <server>") ; return
    cfg.port = ports[type]
    bot = get_bot(type, cfg)
    logging.warn("starting %s" % bot)
    _thread.start_new_thread(bot.run_forever, ())

kernel.cmnds.register("start", do_start)
